org.eclipse.viatra.cep.core.metamodels.events

## Interface EventPattern

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    AtomicEventPattern, ComplexEventPattern
  All Known Implementing Classes:
    ADD_MANY_Pattern, ADD_Pattern, AnonymousComplexEventPattern, AtomicEventPatternImpl, ComplexEventPatternImpl, EventPatternImpl, MOVE_Pattern, ParameterizableComplexEventPattern, REMOVE_MANY_Pattern, REMOVE_Pattern, RESOLVE_Pattern, SET_Pattern, UNSET_Pattern

      public interface EventPattern
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Event Pattern'.

  The following features are supported:

  - `Event Model`
  - `Automaton`
  - `Id`
  - `Parameter Names`
  See Also:
    `EventsPackage.getEventPattern()`
  Generated:
  Model:
    abstract="true"

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Automaton` | `getAutomaton()` Returns the value of the 'Automaton' reference.
    `EventModel` | `getEventModel()` Returns the value of the 'Event Model' container reference.
    `java.lang.String` | `getId()` Returns the value of the 'Id' attribute.
    `org.eclipse.emf.common.util.EList<java.lang.String>` | `getParameterNames()` Returns the value of the 'Parameter Names' attribute list.
    `void` | `setAutomaton(Automaton value)` Sets the value of the '`Automaton`' reference.
    `void` | `setEventModel(EventModel value)` Sets the value of the '`Event Model`' container reference.
    `void` | `setId(java.lang.String value)` Sets the value of the '`Id`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getEventModel

          EventModel getEventModel()

      Returns the value of the 'Event Model' container reference. It is bidirectional and its opposite is '`Event Patterns`'.

      If the meaning of the 'Event Model' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Event Model' container reference.
      See Also:
        `setEventModel(EventModel)`, `EventsPackage.getEventPattern_EventModel()`, `EventModel.getEventPatterns()`
      Generated:
      Model:
        opposite="eventPatterns" transient="false"

    - #### setEventModel

          void setEventModel(EventModel value)

      Sets the value of the '`Event Model`' container reference.
      Parameters:
        `value` - the new value of the 'Event Model' container reference.
      See Also:
        `getEventModel()`
      Generated:

    - #### getAutomaton

          Automaton getAutomaton()

      Returns the value of the 'Automaton' reference.

      If the meaning of the 'Automaton' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Automaton' reference.
      See Also:
        `setAutomaton(Automaton)`, `EventsPackage.getEventPattern_Automaton()`
      Generated:
      Model:

    - #### setAutomaton

          void setAutomaton(Automaton value)

      Sets the value of the '`Automaton`' reference.
      Parameters:
        `value` - the new value of the 'Automaton' reference.
      See Also:
        `getAutomaton()`
      Generated:

    - #### getId

          java.lang.String getId()

      Returns the value of the 'Id' attribute.

      If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Id' attribute.
      See Also:
        `setId(String)`, `EventsPackage.getEventPattern_Id()`
      Generated:
      Model:

    - #### setId

          void setId(java.lang.String value)

      Sets the value of the '`Id`' attribute.
      Parameters:
        `value` - the new value of the 'Id' attribute.
      See Also:
        `getId()`
      Generated:

    - #### getParameterNames

          org.eclipse.emf.common.util.EList<java.lang.String> getParameterNames()

      Returns the value of the 'Parameter Names' attribute list. The list contents are of type `String`.

      If the meaning of the 'Parameter Names' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parameter Names' attribute list.
      See Also:
        `EventsPackage.getEventPattern_ParameterNames()`
      Generated:
      Model: